[Deprecated]: v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/settings/cohortlimits
Deprecated: Saves cohort limits by study and mode. Rights: SubjectSettingRightsPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
fromMode: string
From mode.Example:
test
Supported Media Types
- */*
Root Schema : CohortLimitList
Type:
objectTitle:
CohortLimitListContains list of cohort limits.
Show Source
-
cohortLimits(required): array
cohortLimits
Minimum Number of Items:
1Maximum Number of Items:2147483647
Nested Schema : cohortLimits
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
2147483647-
Array of:
object CohortLimit v3.0
Title:
CohortLimit v3.0Response object containing cohort limit details.
Nested Schema : CohortLimit v3.0
Type:
objectTitle:
CohortLimit v3.0Response object containing cohort limit details.
Show Source
-
cohortId(required): string
(uuid)
Cohort ID.
-
enabled(required): boolean
Indicates if cohort is enabled.Example:
true -
forcedRandLimit: number
(Integer)
Minimum Value:
1Maximum Value:999999Forced Randomization limit value.Example:5 -
notificationLimit: number
(double)
Minimum Value:
1Maximum Value:100Notification limit value. Once value is reached a notification is sent.Example:5 -
randomizationLimit: number
(double)
Minimum Value:
1Maximum number of subjects who can be randomized for the study.Example:5 -
stratumId: string
(uuid)
Stratum ID.
Response
Supported Media Types
- application/json
200 Response
Successful operation
Nested Schema : CohortLimit
Type:
Show Source
object-
cohortId(required): string
(uuid)
Cohort ID.
-
enabled(required): boolean
Indicates if cohort is enabled.Example:
true -
forcedRandLimit: number
(Integer)
Minimum Value:
1Maximum Value:999999Forced Randomization limit value.Example:5 -
notificationLimit: number
(double)
Minimum Value:
1Maximum Value:100Notification limit value. Once value is reached a notification is sent.Example:5 -
randomizationLimit: number
(double)
Minimum Value:
1Maximum number of subjects who can be randomized for the study.Example:5 -
stratumId: string
(uuid)
Stratum ID.
Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples